Subject: Care of Jade Plant

From: [email-masked] (Carl Lupica, Ph.D.)
Date: 14 Aug 1995 18:26:26 GMT

I just inherited a beautiful jade plant.  However, I have recently
noticed that is dropping a lot of its leaves, and a couple off the major 
branches have fallen off.  I try to water it every week or so, and I'm sure
I haven't over-watered.  It gets a lot of sun in its S. facing window, and 
I live in a hot dry climate in Denver (at least in the summer).
What am I doing wrong?
Thanks in advance.